<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<link rel="stylesheet" href="style.css" type="text/css"/>
<script src="code.js" type="text/javascript"></script>

<h1>Making a full local copy</h1>

<pre>
┌───────────────┐ssh ┌────────────┐                           ┌───────────┐
│ fedora-33.img │───▶│ qcow2 file │───▶ qemu-img convert ────▶│ local.img │
└───────────────┘    └────────────┘                           └───────────┘
 remote server                           local machine
</pre>

<br/><br/>

<pre>
qemu-img create -f qcow2 \
         -b <b>ssh://remote/path/to/fedora-33.img</b> snapshot.qcow2
qemu-img convert snapshot.qcow2 local.img -p
</pre>
